installation of bootlader chrashes

Bug #526661 reported by joerg on 2010-02-23
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
grub-installer (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: ubiquity

The installation of ubuntu 9.10 from live CD seems to be ok until the boot loader was installed.
I tried to use a boot partition.
If I do not use a boot partition the installation works well. But however I want to hava a boot partition.

regards joerg

ProblemType: Crash
Architecture: i386
Date: Tue Feb 23 21:04:20 2010
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InterpreterPath: /usr/bin/python2.6
LiveMediaBuild: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
Package: ubiquity 2.0.8
ProcCmdline: /usr/bin/python /usr/lib/ubiquity/bin/ubiquity --only
ProcEnviron:
 LANGUAGE=
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-14.48-generic
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', '--only']
SourcePackage: ubiquity
Title: ubiquity crashed with InstallStepError in configure_bootloader()
Uname: Linux 2.6.31-14-generic i686
UserGroups:

joerg (joerg-boehmer) wrote :
tags: removed: need-duplicate-check
tags: added: ubiquity-2.0.8
tags: added: karmic
Brian Murray (brian-murray) wrote :

The grub-installer error message follows:

Feb 23 20:03:55 ubuntu grub-installer: info: Installing grub on '/dev/sda1'
Feb 23 20:03:56 ubuntu grub-installer: info: grub-install supports --no-floppy
Feb 23 20:03:56 ubuntu grub-installer: info: Running chroot /target grub-install --no-floppy "/dev/sda1"
Feb 23 20:03:57 ubuntu grub-installer: grub-probe: error: unknown filesystem
Feb 23 20:03:57 ubuntu grub-installer: Auto-detection of a filesystem module failed.
Feb 23 20:03:57 ubuntu grub-installer: Please specify the module with the option `--modules' explicitly.
Feb 23 20:03:57 ubuntu grub-installer: error: Running 'grub-install --no-floppy "/dev/sda1"' failed.

affects: ubiquity (Ubuntu) → grub-installer (Ubuntu)
visibility: private → public
Changed in grub-installer (Ubuntu):
importance: Undecided → Low
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in grub-installer (Ubuntu):
status: New → Confirmed
mayakannan (maya85) on 2017-10-20
Changed in grub-installer (Ubuntu):
status: Confirmed → Incomplete
status: Incomplete → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers